*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    display:flex;
    min-height:100vh;
    background:#07111d;
    color:white;
    font-family:'Poppins',sans-serif;
}


.sidebar{
    width:80px;

    background:rgba(4,11,20,0.75);

    backdrop-filter:blur(12px);
    -webkit-backdrop-filter:blur(12px);

    border-right:1px solid rgba(255,255,255,.06);
    height:calc(100vh - 60px);
    position:fixed;
    left:0;
    top:60px;
    padding:25px 15px;
    overflow:hidden;
    transition:0.3s ease;
    z-index:1000;
}

.sidebar.active{
    width:150px;
    
}

#menu-btn{
    background:none;
    border:none;
    color:white;
    font-size:28px;
    cursor:pointer;
    margin-bottom:2px;
    padding:18px 5px;
    
}



.logo{
    text-align:center;
    margin-bottom:40px;
}

.logo img{
    width:60px;
    margin-bottom:10px;
}

.logo h2{
    opacity:0;
    visibility:hidden;
    transition:0.3s;
}

.sidebar.active .logo h2{
    opacity:1;
    visibility:visible;
}

.logo span{
    color:#f4b24f;
}

.top-navbar{
    position:fixed;
    top:0;
    left:0;
    right:0;

    height:60px;

    background:#07111d;

    
    display:flex;
    justify-content:flex-start;
    align-items:center;
    gap:40px;
    padding:0 20px;

    z-index:2000;

    
}

.top-links{
    display:flex;
    gap:30px;
    margin-left:1020px;

}

.top-links a{
    color:white;
    text-decoration:none;
    font-size:14px;
    font-weight:500;
    position:relative;
    transition:.3s;
}

.top-links a:hover{
    color:#f4b24f;
}

.nav-links{
    display:flex;
    flex-direction:column;
    gap:20px;

    margin-top:80px;
}

.nav-links a{
    text-decoration:none;
    color:#d8d8d8;
    font-size:18px;
    padding:20px 10px;

    border-radius:12px;

    transition:all .3s ease;
    white-space:nowrap;
    display:flex;
    align-items:center;
    gap:12px;
}

.nav-links a:hover{
    background:rgba(244,178,79,.15);

    color:#f4b24f;

    transform:translateX(4px);
}

.nav-links .active{
    background:#f4b24f;

    color:#132235;

    font-weight:600;

    box-shadow:
    0 6px 20px rgba(244,178,79,.25);
}

.nav-links a span{
    opacity:0;
    visibility:hidden;
    transition:0.3s;
}



.sidebar.active .nav-links a span{
    opacity:1;
    visibility:visible;
}

.brand{
    display:flex;
    align-items:center;
    gap:12px;
}

.brand img{
    width:42px;
    height:42px;
}

.brand-name{
    font-size:36px;
}

.brand h2{
    font-size:28px;
}

.brand span{
    color:#f4b24f;
}

.main{
    margin-left:80px;
    width:calc(100% - 80px);
}



.hero{
    min-height:75vh;

    background:
    linear-gradient(
    rgba(0,0,0,.45),
    rgba(0,0,0,.65)
    ),
    url("../images/hero.png");

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;

    display:flex;
    align-items:center;

    padding:80px;
    padding-top:120px;
    position:relative;

    border-bottom-left-radius:24px;
    overflow:hidden
}

.hero::after{
    content:"";
    position:absolute;
    left:0;
    bottom:0;
    width:100%;
    height:120px;

    background:linear-gradient(
        transparent,
        #07111d
    );
    pointer-events:none;
}

.hero-content{
    max-width:550px;
}

.welcome{
    color:#f4b24f;
    margin-bottom:10px;
}

.hero h1{
    font-size:72px;
    font-family:'Playfair Display',serif;
    line-height:1.1;
    text-shadow:0 4px 20px rgba(0,0,0,.4);
}

.hero h3{
    margin:15px 0;
    color:#f4b24f;
    font-weight:500;
}

.hero p{
    line-height:1.8;
    margin-bottom:35px;
}

.buttons{
    margin-top:30px;
    display:flex;
    gap:15px;
}

.btn-primary{
    text-decoration:none;
    background:#f4b24f;
    color:black;
    padding:14px 24px;
    border-radius:8px;
    font-weight:600;
}

.btn-secondary{
    text-decoration:none;
    border:1px solid white;
    color:white;
    padding:14px 24px;
    border-radius:8px;
}
.btn-secondary:hover{
    transform:translateY(-3px);
}



@media(max-width:768px){

    .hero{
        background-position:75% center;
    }

    .hero h3{
        font-size:17px;
    }

    .hero p{
        font-size:15px;
    }

    .buttons{
        flex-direction:column;
        align-items:flex-start;
    }

    .btn-primary,
    .btn-secondary{
        width:100%;
        text-align:center;
    }
}



.latest-updates{
    padding:60px 82px;
    padding-top:80px;
    background:#07111d;
}

.section-header{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-bottom:25px;
}

.section-header h2{
    font-size:28px;
}

.section-header a{
    color:#f4b24f;
    text-decoration:none;
}

.updates-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,301px));
    gap:20px;
}

.update-card{
    background:#122033;
    border-radius:15px;
    overflow:hidden;
    transition:.3s;
}

.update-card:hover{
    transform:translateY(-8px);
}

.update-card img{
    width:100%;
    height:180px;
    object-fit:cover;
}

.update-card h3{
    padding:15px 15px 10px;
}

.update-card p{
    padding:0 15px;
    color:#ccc;
}

.update-card a{
    display:block;
    padding:15px;
    color:#f4b24f;
    text-decoration:none;
}

.tag{
    display:inline-block;
    margin:15px;
    padding:5px 10px;
    border-radius:6px;
    font-size:12px;
    font-weight:600;
}

.spiti{
    background:#1b5e20;
}

.aquarium{
    background:#01579b;
}

.plants{
    background:#33691e;
}

.project{
    background:#6a1b9a;
}

.post-date{
    color:#f4b24f;
    font-size:14px;
    margin:0 15px 10px;
}

.gallery-page{
    padding:120px;
}

.gallery-page h1{
    margin-bottom:10px;
}

.gallery-subtitle{
    color:#ccc;
    margin-bottom:25px;
}

.gallery-filters{
    display:flex;
    gap:10px;
    flex-wrap:wrap;
    margin-bottom:30px;
}

.gallery-filters button{
    background:#132235;
    color:#fff;
    border:none;
    padding:10px 18px;
    border-radius:30px;
    cursor:pointer;
    transition:.3s;
}

.gallery-filters button:hover{
    background:#f4b24f;
    color:#07111d;
}

.gallery-filters .active{
    background:#f4b24f;
    color:#07111d;
}


.gallery-grid{
    display:grid;
    grid-template-columns:
    repeat(auto-fill,minmax(220px,1fr));
    gap:15px;
}

.gallery-grid img{
    width:100%;
    height:220px;
    object-fit:cover;
    border-radius:12px;
    transition:.3s;
    cursor:pointer;
}

.gallery-grid img:hover{
    transform:scale(1.03);
}

#lightbox{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.9);

    display:none;

    justify-content:center;
    align-items:center;

    z-index:9999;
}

#lightbox img{
    max-width:90%;
    max-height:90%;
    border-radius:15px;
}

#close-lightbox{
    position:absolute;
    top:20px;
    right:30px;

    font-size:40px;
    color:white;
    cursor:pointer;
}


.about-page{
padding:120px;
}

.about-page h1{
margin-bottom:10px;
}

.about-subtitle{
color:#f4b24f;
font-size:18px;
margin-bottom:40px;
}

.about-content{
max-width:none;
}

.about-content h2{
margin-top:40px;
margin-bottom:15px;
}

.about-content p{
color:#ddd;
line-height:1.9;
margin-bottom:20px;
}

.about-image{
    text-align:center;
}

.about-image img{
    width:150px;
    height:150px;
    object-fit:cover;
    border-radius:50%;
    border:4px solid #f4b24f;
}

.interest-grid{
display:grid;
grid-template-columns:
repeat(auto-fit,minmax(220px,1fr));
gap:20px;
margin-top:25px;
}

.interest-card{
background:#0d1724;
padding:25px;
border-radius:15px;
text-align:center;
transition:.3s;
}

.interest-card:hover{
transform:translateY(-5px);
}

.interest-icon{
font-size:40px;
margin-bottom:15px;
}

.interest-card h3{
margin-bottom:10px;
}

.interest-card p{
color:#ccc;
line-height:1.6;
}

@media(max-width:768px){

.about-page{
    padding:40px;
}

.about-page h1{
    font-size:32px;
}

.about-image img{
        width:140px;
        height:140px;
    }

}




.contact-page {
padding: 120px;
}

.contact-page h1 {
margin-bottom: 10px;
}

.contact-subtitle {
color: #f4b24f;
margin-bottom: 40px;
font-size: 18px;
}

.contact-container {
max-width: 800px;
}

.contact-info {
background: #0d1724;
padding: 30px;
border-radius: 15px;
}

.contact-info h2 {
margin-bottom: 20px;
}

.contact-info > p {
color: #ccc;
line-height: 1.8;
margin-bottom: 30px;
}

.contact-item {
margin-bottom: 25px;
}

.contact-item h3 {
margin-bottom: 8px;
}

.contact-item p {
color: #ccc;
}

.contact-item a {
color: #f4b24f;
text-decoration: none;
transition: 0.3s;
}

.contact-item a:hover {
color: white;
text-decoration: underline;
}



@media (max-width: 768px) {


.contact-page {
    padding: 40px;
}

.contact-page h1 {
    font-size: 32px;
}

.contact-subtitle {
    font-size: 16px;
}


}


.article-container{
max-width:1000px;
margin:auto;
padding:60px 30px;
padding-top:120px;
}

.article-container h1{
font-size:2.5rem;
margin-bottom:20px;
}

.article-image{
    width:40%;
    max-width:400px;
    border-radius:20px;
    float:none;
    margin:0 0 15px 10px;
}


.journal-meta{
display:flex;
gap:20px;
color:#aaa;
margin-bottom:20px;
flex-wrap:wrap;
}

#article-content{
line-height:1.9;
font-size:1.05rem;
}

#article-content h2{
margin-top:40px;
margin-bottom:15px;
}

#article-content h3{
margin-top:30px;
margin-bottom:10px;
}

#article-content p{
margin-bottom:18px;
}

#article-content ul{
margin-left:25px;
margin-bottom:18px;
}

#article-content img{
max-width:100%;
border-radius:12px;
}



@media (max-width:768px){
.article-image{
    width:90%;
    max-width:none;
}

#article-content .journal-inline-image{
    width:80% !important;
    max-width:none !important;
}

.article-container{
    padding:30px 20px;
}

.article-container h1{
    font-size:2rem;
    line-height:1.2;
    word-break:break-word;
}

.journal-meta{
    gap:10px;
    font-size:0.9rem;
}

}





.journal-inline-image{
    width:30%;
    max-width:300px;
    border-radius:15px;
    float:right;
    margin:0 0 15px 20px;
}

.journal-controls{
    margin:0;
    padding:0;
}

#searchInput{
    width:220px;
    padding:10px 15px;
    border:1px solid #ccc;
    border-radius:8px;
    font-size:0.95rem;
    outline:none;
    margin-left:1042px;
    margin-bottom:0px;
    margin-top:0px;
}

#searchInput:focus{
    border-color:#333;
}

@media(max-width:768px){

    .journal-header{
        flex-direction:column;
        align-items:flex-start;
        gap:15px;
    }

    #searchInput{
        margin-left:0;
        width:100%;
    }

    .journal-header h1{
        font-size:2.2rem;
        line-height:1.2;
    }

    .journal-header p{
        font-size:1rem;
    }

}

.tag-filters{
    display:flex;
    gap:10px;
    flex-wrap:wrap;
    margin-bottom:15px;
    margin-top:0px;
}

.tag-btn{
    background:#132235;
    color:#fff;
    border:none;
    padding:12px 22px;
    border-radius:30px;
    cursor:pointer;
    transition:.3s;
    font-size:0.95rem;
}

.tag-btn:hover{
    background:#f4b24f;
    color:#07111d;
}

.tag-btn.active{
    background:#f4b24f;
    color:#07111d;
}

.site-footer{
    text-align:center;
    padding:20px;
    margin-top:50px;
    border-top:1px solid rgba(255,255,255,0.1);
    color:#888;
    font-size:14px;
    line-height:1.6;
}

.founder-name{
    margin-top:15px;
    font-size:24px;
    font-weight:600;
    color:#fff;
}

.founder-title{
    margin-top:5px;
    font-size:16px;
    color:#f4b24f;
    letter-spacing:1px;
}


ol{
    padding-left: 30px;
}


@media (max-width:768px){

    .main{
        margin-left:0;
        width:100%
    }

    .hero{
        padding:90px 20px 0px;
    }

    .hero h1{
        font-size:42px;
    }

    .latest-updates{
        padding:30px 10px 30px 30px;
    
    }

    .gallery-page{
        padding:90px 20px 40px;
    }

    .about-page{
        padding:90px 15px 30px;
    }

    .contact-page{
        padding:90px 15px 30px;
    }

    .article-container{
        max-width:100%;
        padding:90px 15px 30px;
    }

    .article-container h1{
        font-size:2rem;
        line-height:1.2;
    }

    .article-image,
    .journal-inline-image{
        width:100% !important;
        max-width:none !important;
        float:none !important;
        margin:20px 0 !important;
    }

    #article-content{
        font-size:1rem;
        line-height:1.8;
    }

    #searchInput{
        width:100%;
        margin-left:0;
    }

    .top-navbar{
        padding:0 10px;
    }

    .brand img{
        width:32px;
        height:32px;
    }

    .brand h2{
        font-size:1.4rem;
    }

    .top-links{
        gap:12px;
        margin-left:auto;
    }

    .top-links a{
        font-size:0.9rem;
        padding:0;
    }

    .gallery-filters button,
    .tag-filters button{
        padding:8px 14px;
        font-size:0.8rem;
        border-radius:20px;
    }

    .gallery-grid{
        display:grid;
        grid-template-columns:repeat(3, 1fr);
        gap:6px;
    }

    .gallery-grid img{
        width:100%;
        height:auto;
        aspect-ratio:1/1;
        object-fit:cover;
        border-radius:10px;
        display:block;
    }
    

    .brand h2{
        font-size:24px;
    }

    .latest-updates h2{
        font-size:20px;
    }

    .brand img{
        width:36px;
        height:36px;
    }

    .sidebar{
        left:-200px;
        width:200px;
    }

    .sidebar.active{
        left:0;
    }

    #menu-btn{
        display:block;
        background:none;
        border:none;
        color:white;
        font-size:24px;
        cursor:pointer;
        margin:0;
        padding:0;
    }

    .contact-link{
        display:none;
    }
}
